PETSc version 3.15.5
Fix/Edit manual page

# DMPlexCreateFromFile

This takes a filename and produces a DM

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateFromFile(MPI_Comm comm, const char filename[], PetscBool interpolate, DM *dm)

### Input Parameters

| comm | - The communicator
| filename | - A file name
| interpolate | - Flag to create intermediate mesh pieces (edges, faces)

### Output Parameter

| dm | - The DM

### Options Database Keys

| -dm_plex_create_from_hdf5_xdmf | - use the PETSC_VIEWER_HDF5_XDMF format for reading HDF5

Use -dm_plex_create_ prefix to pass options to the internal PetscViewer, e.g.

    -dm_plex_create_viewer_hdf5_collective

### See Also

DMPlexCreateFromDAG(), DMPlexCreateFromCellListPetsc(), DMPlexCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexcreate.c

### Examples

src/dm/impls/plex/tutorials/ex2.c.html
src/dm/impls/plex/tutorials/ex5.c.html
src/dm/impls/plex/tutorials/ex9.c.html
src/dm/label/tutorials/ex1.c.html
src/dm/label/tutorials/ex1f90.F90.html
src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex62.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex45.c.html
src/ts/tutorials/ex48.c.html
src/ts/tutorials/ex52.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages